stan-0.2.0.0: Haskell STatic ANalyser

Copyright | (c) 2020 Kowainik
License | MPL-2.0
Maintainer | Kowainik <xrom.xkov@gmail.com>
Safe Haskell | None
Language | Haskell2010

Stan.Category

Contents

- Data type
- Pretty printing
- Stan categories

Description

Category — a type of `Inspection`.

Synopsis

- newtype Category = Category {
  - unCategory :: Text
  }
- prettyShowCategory :: Category -> Text
- stanCategories :: [Category]
- antiPattern :: Category
- infinite :: Category
- list :: Category
- partial :: Category
- spaceLeak :: Category
- syntax :: Category
- unsafe :: Category

# Data type

newtype Category #

A type of the inspection.

Constructors

Category |
Fields unCategory :: Text

#### Instances

Instances details

Show Category # |
Instance details Defined in Stan.Category Methods showsPrec :: Int -> Category -> ShowS # show :: Category -> String # showList :: [Category] -> ShowS #
Eq Category # |
Instance details Defined in Stan.Category Methods (==) :: Category -> Category -> Bool # (/=) :: Category -> Category -> Bool #
Hashable Category # |
Instance details Defined in Stan.Category Methods hashWithSalt :: Int -> Category -> Int # hash :: Category -> Int #
ToJSON Category # |
Instance details Defined in Stan.Category Methods toJSON :: Category -> Value #

# Pretty printing

prettyShowCategory :: Category -> Text #

Show `Category` in a human-friendly format.

# Stan categories

stanCategories :: [Category] #

The list of all available Stan `Category`s.

antiPattern :: Category #

`AntiPattern` category of Stan inspections.

infinite :: Category #

`Infinite` category of Stan inspections.

list :: Category #

`List` category of Stan inspections.

partial :: Category #

`Partial` category of Stan inspections.

spaceLeak :: Category #

`SpaceLeak` category of Stan inspections.

syntax :: Category #

`Syntax` category of Stan inspections. Usually used in `Style` inspections.

unsafe :: Category #

`Unsafe` category of Stan inspections.